com.massivecraft.factions.util

## Class RelationUtil

- java.lang.Object
- - com.massivecraft.factions.util.RelationUtil

-     public class RelationUtil
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RelationUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `describeThatToMe(RelationParticipator that, RelationParticipator me)`
    `static java.lang.String` | `describeThatToMe(RelationParticipator that, RelationParticipator me, boolean ucfirst)`
    `static org.bukkit.ChatColor` | `getColorOfThatToMe(RelationParticipator that, RelationParticipator me)`
    `static Faction` | `getFaction(RelationParticipator rp)`
    `static Relation` | `getRelationTo(RelationParticipator me, RelationParticipator that)`
    `static Relation` | `getRelationTo(RelationParticipator me, RelationParticipator that, boolean ignorePeaceful)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RelationUtil

          public RelationUtil()

  - ### Method Detail

    - #### describeThatToMe

          public static java.lang.String describeThatToMe(RelationParticipator that,
                                                          RelationParticipator me,
                                                          boolean ucfirst)

    - #### describeThatToMe

          public static java.lang.String describeThatToMe(RelationParticipator that,
                                                          RelationParticipator me)

    - #### getRelationTo

          public static Relation getRelationTo(RelationParticipator me,
                                               RelationParticipator that)

    - #### getRelationTo

          public static Relation getRelationTo(RelationParticipator me,
                                               RelationParticipator that,
                                               boolean ignorePeaceful)

    - #### getFaction

          public static Faction getFaction(RelationParticipator rp)

    - #### getColorOfThatToMe

          public static org.bukkit.ChatColor getColorOfThatToMe(RelationParticipator that,
                                                                RelationParticipator me)